#include "bits/stdc++.h"
using namespace std;
signed main(){
    // freopen("file.in", "r", stdin);
    int n, k;
    cin >> n >> k;
    vector<int> a(n + 1);
    for(int i = 1;i<=n;++i) cin >> a[i];
    int ans = 0;
    for(int i = 1;i<=n;++i) ans += a[i];
    cout << (ans >= k) << endl;
    // int l = 0;
    // map<int, int> mp;
    // mp[n + 1] = n + 1;
    // for(int i = n;i;--i){
    //     if(a[i]) mp[i] = i;
    //     else mp[i] = mp[i - 1];
    // }
    // for(int i = 1;i<=n;++i){
    //     if(i > l){
    //         ans += 1;
    //         if(!a[i]){
    //             if(mp[i] == n + 1){
    //                 break;
    //             }
    //             else l = mp[i];
    //         }
    //     }
    // }
    // cout << (ans >= k) << endl;
}